using System;
using System.Drawing;
using System.Windows.Forms;
using Steema.TeeChart.Tools;

namespace TeeChartExample
{
    public partial class MyChart : UserControl
    {
        #region Constructor(s)
        public MyChart()
        {
            InitializeComponent();
            tChartBar.Axes.Left.Maximum = 255;
        }
        #endregion

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            AddColorLine(Color.White, 110);
            AddColorLine(Color.Violet, 100);
            AddColorLine(Color.Red, 20);
            AddColorLine(Color.Green, 50);
            AddColorLine(Color.Blue, 80);
        }

        private void AddColorLine(Color color, int position)
        {
            ColorLine line = new ColorLine(tChartBar.Chart);
            line.DrawBehind = true;
            line.Active = true;
            line.AllowDrag = true;
            line.Axis = tChartBar.Axes.Left;
            line.DragRepaint = true;
            line.Pen.Color = color;
            line.Pen.Width = 2;
            line.Value = position;
            line.Draw3D = false;
        }
    }
}
